org.keycloak.dom.saml.v2.ac

## Class ActivationPinType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.ActivationPinType

-     public class ActivationPinType
      extends Object

  Java class for ActivationPinType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ActivationPinType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Length" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Alphabet" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Generation" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}ActivationLimit" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActivationLimitType` | `activationLimit`
    `protected AlphabetType` | `alphabet`
    `protected List<ExtensionType>` | `extension`
    `protected Generation` | `generation`
    `protected LengthType` | `length`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivationPinType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationLimitType` | `getActivationLimit()` Gets the value of the activationLimit property.
    `AlphabetType` | `getAlphabet()` Gets the value of the alphabet property.
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `Generation` | `getGeneration()` Gets the value of the generation property.
    `LengthType` | `getLength()` Gets the value of the length property.
    `void` | `setActivationLimit(ActivationLimitType value)` Sets the value of the activationLimit property.
    `void` | `setAlphabet(AlphabetType value)` Sets the value of the alphabet property.
    `void` | `setGeneration(Generation value)` Sets the value of the generation property.
    `void` | `setLength(LengthType value)` Sets the value of the length property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### length

          protected LengthType length

    - #### alphabet

          protected AlphabetType alphabet

    - #### generation

          protected Generation generation

    - #### activationLimit

          protected ActivationLimitType activationLimit

    - #### extension

          protected List<ExtensionType> extension

  - ### Constructor Detail

    - #### ActivationPinType

          public ActivationPinType()

  - ### Method Detail

    - #### getLength

          public LengthType getLength()

      Gets the value of the length property.
      Returns:
        possible object is `LengthType`

    - #### setLength

          public void setLength(LengthType value)

      Sets the value of the length property.
      Parameters:
        `value` - allowed object is `LengthType`

    - #### getAlphabet

          public AlphabetType getAlphabet()

      Gets the value of the alphabet property.
      Returns:
        possible object is `AlphabetType`

    - #### setAlphabet

          public void setAlphabet(AlphabetType value)

      Sets the value of the alphabet property.
      Parameters:
        `value` - allowed object is `AlphabetType`

    - #### getGeneration

          public Generation getGeneration()

      Gets the value of the generation property.
      Returns:
        possible object is `Generation`

    - #### setGeneration

          public void setGeneration(Generation value)

      Sets the value of the generation property.
      Parameters:
        `value` - allowed object is `Generation`

    - #### getActivationLimit

          public ActivationLimitType getActivationLimit()

      Gets the value of the activationLimit property.
      Returns:
        possible object is `ActivationLimitType`

    - #### setActivationLimit

          public void setActivationLimit(ActivationLimitType value)

      Sets the value of the activationLimit property.
      Parameters:
        `value` - allowed object is `ActivationLimitType`

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.